import { message } from "antd";
import axios from "axios";

const config = {
  baseURL: "",
  timeout: 1000 * 15,
  headers: {},
};

const instance = axios.create(config);

instance.interceptors.request.use(
  (config) => {
    return config;
  },
  (error) => {
    return Promise.reject(error);
  }
);

// Add a response interceptor
instance.interceptors.response.use(
  (response) => {
    if (response.data.code === 10000)
      message.success(`接口: ${response.config.url}, 请求成功`);
    return response?.data;
  },
  (error) => {
    message.error(error);
    return Promise.reject(error);
  }
);

export default instance;
