import {
  Button,
  Card,
  Col,
  Form,
  Input,
  InputNumber,
  message,
  Row,
  Space,
  Steps,
} from "antd";
import { useState } from "react";
import Appendix from "./Appendix";
import BasicForm from "./BasicForm";
import Chatpter from "./Chatpter";
import "./index.less";

const CourseCreate = () => {
  const [current, setCurrent] = useState(0);
  const [course, setCourse] = useState({
    basicInfo: {},
  });

  const onBasicFormChange = (form: any) =>
    setCourse((p) => ({ ...p, basicInfo: form }));

  const steps = [
    {
      title: "基本信息",
    },
    {
      title: "章节",
    },
    {
      title: "附件",
    },
  ];

  const items = steps.map((item) => ({ key: item.title, title: item.title }));

  return (
    <div className="create-course">
      <Card>
        <Steps current={current} items={items} />
        <div className="content">
          <BasicForm
            onChange={onBasicFormChange}
            styles={{ display: current === 0 ? "block" : "none" }}
          />
          <Chatpter styles={{ display: current === 1 ? "block" : "none" }} />
          <Appendix styles={{ display: current === 2 ? "block" : "none" }} />
        </div>
        <div style={{ textAlign: "right", marginTop: "40px" }}>
          {current > 0 && (
            <Button
              style={{ marginRight: "12px" }}
              onClick={() => setCurrent(current - 1)}
            >
              上一步
            </Button>
          )}
          {current < steps.length - 1 && (
            <Button type="primary" onClick={() => setCurrent(current + 1)}>
              下一步
            </Button>
          )}
          {current === steps.length - 1 && (
            <Button
              type="primary"
              onClick={() => message.success("Processing complete!")}
            >
              创建
            </Button>
          )}
        </div>
      </Card>
    </div>
  );
};

export default CourseCreate;
